Closed Bug 1178921 Opened 5 years ago Closed 5 years ago

Since FF 38 flash videos are "Unavailable" on Facebook. Embedded youtubes play fine.

Categories

(Core :: Audio/Video: Playback, defect)

38 Branch
x86_64
Windows 7
defect
Not set
normal

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: arkeatm, Unassigned)

References

Details

Attachments

(5 files)

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:37.0) Gecko/20100101 Firefox/37.0
Build ID: 20150415140819

Steps to reproduce:

Reloaded most current FF 38.0.5 and even tried beta 39. Videos display with facebook message "We are having trouble playing this video." Both Firefox and Flash versions are current.  


Actual results:

I down graded to FF 37.0.2 and videos are accessible again


Expected results:

Well. flash should play in facebook with Firefox 38
arkeatm, you're running Windows 7?

Could you please open the web console while these videos are loading and see if there are any messages? (Control-Shift-K opens the console).

I know Facebook has been experimenting with native HTML video instead of Flash. I wonder if they have you in an experimental branch. Unfortunately unless you are an experienced webdev, figuring out whether they are using Flash is going to be very difficult.

Anthony, what are the prefs that would enable MSE globally for release builds? We should try that and see whether that fixes the reporter's problem.
Flags: needinfo?(arkeatm)
Flags: needinfo?(ajones)
Sorry. Yes Windows 7-64

I reloaded FF 38.0.5  

===>Results flash player
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435764329576 script-compiler.js:177:4
"[donate]" "diff" 9746048080 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 18.48715 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435850729585 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435850958477, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your …", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435764329586 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[ajax]" Object { method: "GET", headers: Object, url: "https://www.facebook.com/ajax/typea…", onload: get_remote_content/</<.onload() } script-compiler.js:177:4
"[wizard]" "installed_version" 0 script-compiler.js:177:4
"[wizard]" "show_wizard" 0 10.1 false script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[ajax]" Object { cache: true, url: "http://socialfixer.com/blog/feed/js…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435764558470 script-compiler.js:177:4
"[donate]" "diff" 9746276974 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 22.302033333333334 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435850958477 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435850958477, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your …", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435764558478 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xaf1/v/t42.1790-2/11382513_1143455962338371_1196292300_n.mp4?efg=eyJybHIiOjYzMCwicmxhIjo1MTJ9&rl=630&vabr=350&oh=c1e4290c590596eaa66e87fe459e5375&oe=559423AE could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xat1/v/t42.1790-2/11255172_1143455162338451_393201479_n.mp4?efg=eyJybHIiOjgwNCwicmxhIjo1MTJ9&rl=804&vabr=447&oh=156d64b61f1878e09f475c951065b9bc&oe=55942306 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xfa1/v/t42.1790-2/11386672_832278903493412_1155886157_n.mp4?efg=eyJybHIiOjU1MCwicmxhIjo1MTJ9&rl=550&vabr=306&oh=c1d48583eccb7995b20369544725c52a&oe=55942304 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xaf1/v/t42.1790-2/11373465_1143316462352321_1739550353_n.mp4?efg=eyJybHIiOjUxNCwicmxhIjo1MTJ9&rl=514&vabr=286&oh=39978022e7c78441a27eb822b9b634bf&oe=55942242 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xat1/v/t42.1790-2/11271278_1143417282342239_1507908211_n.mp4?efg=eyJybHIiOjEwMDAsInJsYSI6NTEyfQ%3D%3D&rl=1000&vabr=556&oh=0eb7867b90f38b2e7ff0ebe8398aed07&oe=55943109 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xaf1/v/t42.1790-2/11382513_1143455962338371_1196292300_n.mp4?efg=eyJybHIiOjYzMCwicmxhIjo1MTJ9&rl=630&vabr=350&oh=c1e4290c590596eaa66e87fe459e5375&oe=559423AE could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xat1/v/t42.1790-2/11255172_1143455162338451_393201479_n.mp4?efg=eyJybHIiOjgwNCwicmxhIjo1MTJ9&rl=804&vabr=447&oh=156d64b61f1878e09f475c951065b9bc&oe=55942306 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xfa1/v/t42.1790-2/11386672_832278903493412_1155886157_n.mp4?efg=eyJybHIiOjU1MCwicmxhIjo1MTJ9&rl=550&vabr=306&oh=c1d48583eccb7995b20369544725c52a&oe=55942304 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xaf1/v/t42.1790-2/11373465_1143316462352321_1739550353_n.mp4?efg=eyJybHIiOjUxNCwicmxhIjo1MTJ9&rl=514&vabr=286&oh=39978022e7c78441a27eb822b9b634bf&oe=55942242 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xat1/v/t42.1790-2/11271278_1143417282342239_1507908211_n.mp4?efg=eyJybHIiOjEwMDAsInJsYSI6NTEyfQ%3D%3D&rl=1000&vabr=556&oh=0eb7867b90f38b2e7ff0ebe8398aed07&oe=55943109 could not be decoded. 1143455385671762

===>Results html5
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435764329576 script-compiler.js:177:4
"[donate]" "diff" 9746048080 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 18.48715 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435850729585 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435850958477, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your …", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435764329586 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[ajax]" Object { method: "GET", headers: Object, url: "https://www.facebook.com/ajax/typea…", onload: get_remote_content/</<.onload() } script-compiler.js:177:4
"[wizard]" "installed_version" 0 script-compiler.js:177:4
"[wizard]" "show_wizard" 0 10.1 false script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[ajax]" Object { cache: true, url: "http://socialfixer.com/blog/feed/js…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435764558470 script-compiler.js:177:4
"[donate]" "diff" 9746276974 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 22.302033333333334 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435850958477 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435850958477, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your …", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435764558478 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.jso…", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xaf1/v/t42.1790-2/11382513_1143455962338371_1196292300_n.mp4?efg=eyJybHIiOjYzMCwicmxhIjo1MTJ9&rl=630&vabr=350&oh=c1e4290c590596eaa66e87fe459e5375&oe=559423AE could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xat1/v/t42.1790-2/11255172_1143455162338451_393201479_n.mp4?efg=eyJybHIiOjgwNCwicmxhIjo1MTJ9&rl=804&vabr=447&oh=156d64b61f1878e09f475c951065b9bc&oe=55942306 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xfa1/v/t42.1790-2/11386672_832278903493412_1155886157_n.mp4?efg=eyJybHIiOjU1MCwicmxhIjo1MTJ9&rl=550&vabr=306&oh=c1d48583eccb7995b20369544725c52a&oe=55942304 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xaf1/v/t42.1790-2/11373465_1143316462352321_1739550353_n.mp4?efg=eyJybHIiOjUxNCwicmxhIjo1MTJ9&rl=514&vabr=286&oh=39978022e7c78441a27eb822b9b634bf&oe=55942242 could not be decoded. 1143455385671762
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xat1/v/t42.1790-2/11271278_1143417282342239_1507908211_n.mp4?efg=eyJybHIiOjEwMDAsInJsYSI6NTEyfQ%3D%3D&rl=1000&vabr=556&oh=0eb7867b90f38b2e7ff0ebe8398aed07&oe=55943109 could not be decoded.
Flags: needinfo?(arkeatm)
OS: Unspecified → Windows 7
Hardware: Unspecified → x86_64
FF 37.0.2
===>>>FlashPlayer
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435766843231 script-compiler.js:177:4
"[donate]" "diff" 9748561736 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 60.38145 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435853243245 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435853278621, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your profile;Friend Requests", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435766843248 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1&rand=1435766843249", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[ajax]" Object { method: "GET", headers: Object, url: "https://www.facebook.com/ajax/typeahead/first_degree.php?__a=1&filter[0]=page&filter[1]=user&filter[2]=group&filter[3]=friendlist&filter[4]=event&lazy=0&options[0]=friends_only&viewer=100000062547899&__user=100000062547899&time=1435766843257", onload: get_remote_content/</<.onload() } script-compiler.js:177:4
"[wizard]" "installed_version" 0 script-compiler.js:177:4
"[wizard]" "show_wizard" 0 10.1 false script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1&rand=1435766843261", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[ajax]" Object { cache: true, url: "http://socialfixer.com/blog/feed/json/", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435766855713 script-compiler.js:177:4
"[donate]" "diff" 9748574217 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 60.58943333333333 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435853255721 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435853278621, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your profile;Friend Requests", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435766855722 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1&rand=1435766855723", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435766878610 script-compiler.js:177:4
"[donate]" "diff" 9748597114 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 60.971066666666665 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435853278621 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435853278621, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your profile;Friend Requests", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435766878623 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1&rand=1435766878626", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4

===>>>HTML5
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435766843231 script-compiler.js:177:4
"[donate]" "diff" 9748561736 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 60.38145 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435853243245 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435853539718, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your profile;Friend Requests", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435766843248 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1&rand=1435766843249", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[ajax]" Object { method: "GET", headers: Object, url: "https://www.facebook.com/ajax/typeahead/first_degree.php?__a=1&filter[0]=page&filter[1]=user&filter[2]=group&filter[3]=friendlist&filter[4]=event&lazy=0&options[0]=friends_only&viewer=100000062547899&__user=100000062547899&time=1435766843257", onload: get_remote_content/</<.onload() } script-compiler.js:177:4
"[wizard]" "installed_version" 0 script-compiler.js:177:4
"[wizard]" "show_wizard" 0 10.1 false script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1&rand=1435766843261", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[ajax]" Object { cache: true, url: "http://socialfixer.com/blog/feed/json/", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435766855713 script-compiler.js:177:4
"[donate]" "diff" 9748574217 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 60.58943333333333 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435853255721 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435853539718, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your profile;Friend Requests", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435766855722 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1&rand=1435766855723", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435766878610 script-compiler.js:177:4
"[donate]" "diff" 9748597114 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 60.971066666666665 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435853278621 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435853539718, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your profile;Friend Requests", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435766878623 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1&rand=1435766878626", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[donate]" "sfx_donate_check_time2" 1426018281496 script-compiler.js:177:4
"[donate]" "time()" 1435767139708 script-compiler.js:177:4
"[donate]" "diff" 9748858213 script-compiler.js:177:4
"[donate]" "sfx_no_donate2" false script-compiler.js:177:4
"[donate]" "sfx_donated" false script-compiler.js:177:4
"[donate]" "Loading donate content" script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/donate_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[messages]" "message_check_interval" 180 script-compiler.js:177:4
"[messages]" "show_message" true script-compiler.js:177:4
"[messages]" "last_message_check" 1435763220351 script-compiler.js:177:4
"[messages]" "min_since_last_check" 65.3227 script-compiler.js:177:4
"[messages]" "last_message_id" 0 script-compiler.js:177:4
"[messages]" "invalidate_cache" false script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/messages_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: false, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
"[tips]" "tip_show_after" 0 script-compiler.js:177:4
"[tips]" "tip_last_id" 0 script-compiler.js:177:4
"[tips]" "Waiting 24 hours to show the first tip" script-compiler.js:177:4
"[options]" "set" "tip_show_after" 1435853539718 false undefined script-compiler.js:177:4
"[options]" "save" Object { installed_on_5: 1425413481491, sfx_donate_check_time2: 1426018281496, last_message_check: 1435763220351, tip_show_after: 1435853539718, update_show_after: 1425499881498, timeline_show_panel: false, right_panels_hidden: ";People You May Know;Complete your profile;Friend Requests", image_preview_position: "topright", image_preview_show_footnote: false, story_data: Object, 2 more… } script-compiler.js:177:4
"[setValue]" "100000062547899/prefs" script-compiler.js:177:4
"[update]" "update_check_interval" 43200000 script-compiler.js:177:4
"[update]" "update_show_after" 1425499881498 script-compiler.js:177:4
"[update]" "time()=" 1435767139720 script-compiler.js:177:4
"[update]" "version_ack" 0 script-compiler.js:177:4
"[setValue]" "100000062547899/cached_content/update_pagelet" script-compiler.js:177:4
"[ajax]" Object { cache: true, invalidate_cache: true, url: "http://socialfixer.com/config10.json?type=firefox_addon&version=10.1&rand=1435767139721", onload: ajax/new_onload(), method: "GET" } script-compiler.js:177:4
The character encoding of a framed document was not declared. The document may appear different if viewed without the document framing it. ai.php
@arkeatm: Are all Facebook videos broken? Can you share link to a broken video? I usually test with these GoPro Facebook videos:

https://www.facebook.com/gopro/videos

Can you please open Firefox's about:support page and, using the page's "Copy text to clipboard" button, share the debug info in this page?
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #1)
> Anthony, what are the prefs that would enable MSE globally for release
> builds? We should try that and see whether that fixes the reporter's problem.

I doubt this is an MSE issue because MSE is still restricted to YouTube and Netflix in Firefox 38 and 39. It never would have worked for Facebook.
No - just some videos.  Embedded Youtubes play fine.
It's in the log:
Media resource https://video.fsnc1-1.fna.fbcdn.net/hvideo-xaf1/v/t42.1790-2/11382513_1143455962338371_1196292300_n.mp4?efg=eyJybHIiOjYzMCwicmxhIjo1MTJ9&rl=630&vabr=350&oh=c1e4290c590596eaa66e87fe459e5375&oe=559423AE could not be decoded. 1143455385671762

If I load this video URL directly in a tab, it plays for me (mac). arkeatm can you try loading this URL directly in a new tab and see whether it works or not?
Flags: needinfo?(arkeatm)
Results of clicking your link   

Sorry, something went wrong.

We're working on it and we'll get it fixed as soon as we can.

Go Back
Facebook © 2014 · Help Center
Flags: needinfo?(arkeatm)
Attached video The actual video file
This is the actual file that this URL references.
(the URL probably expired)
Comment on attachment 8628410 [details]
The actual video file

Video can't be played because the file is corrupt.
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #1)
> Anthony, what are the prefs that would enable MSE globally for release
> builds? We should try that and see whether that fixes the reporter's problem.

Try media.mediasource.whitelist=false or try nightly/aurora.
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #12)
> (In reply to Benjamin Smedberg  [:bsmedberg] from comment #1)
> > Anthony, what are the prefs that would enable MSE globally for release
> > builds? We should try that and see whether that fixes the reporter's problem.
> 
> Try media.mediasource.whitelist=false or try nightly/aurora.

We are currently not using MSE for videos on Facebook.
AFAIK Firefox on Windows 7 yields decoding of the video file to the OS (but you guys probably know that better). Is it possible that the reporter has a non-default OS decoder?
Attached video encoding variant 1
@reporter Could you see if this video file plays for you?
Attached video encoding variant 2
@reporter: And this one too, please.
Attachment #8628451 - Attachment description: firefox_fallback_baseline_video.mp4 → encoding variant 2
(In reply to Daniel Baulig from comment #14)
> AFAIK Firefox on Windows 7 yields decoding of the video file to the OS (but
> you guys probably know that better). Is it possible that the reporter has a
> non-default OS decoder?

The video is demuxed in Firefox and decoded by the platform. The videos play OK on Mac OSX 10.7 but I get an error on the GoPro videos. Most playback issues are caused by demuxing so most problematic videos are the same on all platforms.
Flags: needinfo?(ajones)
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #17)
> (In reply to Daniel Baulig from comment #14)
> > AFAIK Firefox on Windows 7 yields decoding of the video file to the OS (but
> > you guys probably know that better). Is it possible that the reporter has a
> > non-default OS decoder?
> 
> The video is demuxed in Firefox and decoded by the platform. The videos play
> OK on Mac OSX 10.7 but I get an error on the GoPro videos. Most playback
> issues are caused by demuxing so most problematic videos are the same on all
> platforms.

Trying to understand some details:

When you say you get an error on the GoPro videos, does that mean on OSX or on Windows? Firefox on OSX should not be getting the HTML5 video player on Facebook (although we were asked to whitelist a set of Firefox developers on the HTML5 player, but I couldn't find your name in that whitelist).

Could you provide me the URLs of the videos for which playback fails?

Also, when you say most playback issues are caused by demuxing, are we talking about the specific failures addressed in this bug report or generally for videos played on Facebook through Firefox or for all playback issues Firefox users experience on the web?
(In reply to Daniel Baulig from comment #18)
> When you say you get an error on the GoPro videos, does that mean on OSX or
> on Windows? Firefox on OSX should not be getting the HTML5 video player on
> Facebook (although we were asked to whitelist a set of Firefox developers on
> the HTML5 player, but I couldn't find your name in that whitelist).

I'm obviously not on the whitelist. Setting the UA made the video work.

> Could you provide me the URLs of the videos for which playback fails?

https://www.facebook.com/gopro/videos/vb.50043151918/10153157683841919/?type=2&theater
 
> Also, when you say most playback issues are caused by demuxing, are we
> talking about the specific failures addressed in this bug report or
> generally for videos played on Facebook through Firefox or for all playback
> issues Firefox users experience on the web?

Demuxer issues are more common in general than decoding issues. The videos attached to this bug play fine in nightly and beta 39 on Windows 7 for me. Is it possible that the reporter just has broken codecs and Facebook doesn't fall back to Flash when canPlayType() reports that the codecs are not supported?

The most common cases for missing codecs are:

* Disabling them with Codec Tweak Tool (which renames the DLLs)
* Having a version of Vista before SP3
* Using a server version of Windows where the codecs are optional
* Using Windows XP
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #19)
> The most common cases for missing codecs are:
> 
> * Disabling them with Codec Tweak Tool (which renames the DLLs)
> * Having a version of Vista before SP3
> * Using a server version of Windows where the codecs are optional
> * Using Windows XP

Anthony, just to be clear, canPlayType() will handle all those missing codec cases internally, right? So web content just needs to check canPlayType() without bothering to check OS versions?
Status: UNCONFIRMED → NEW
Ever confirmed: true
Flags: needinfo?(ajones)
(In reply to Chris Peterson [:cpeterson] from comment #20)
> Anthony, just to be clear, canPlayType() will handle all those missing codec
> cases internally, right? So web content just needs to check canPlayType()
> without bothering to check OS versions?

Correct.
Flags: needinfo?(ajones)
Responding to an email request about the SUMO-side scope of this issue.  We do have low volume of reports of this issue for 38.0.5 on Input and Sumo.  The reports we have are Windows 7+.

Input query:
* https://input.mozilla.org/en-US/?q=facebook%2Bunavailable&product=Firefox&date_start=2015-02-03&happy=0

Sumo:
* https://support.mozilla.org/en-US/questions/1069607
* https://support.mozilla.org/en-US/questions/1069932
The thing we need to figure out is whether the attached videos will play on the affected machines, and whether other html5 videos will play on affected machines.
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #24)
> The thing we need to figure out is whether the attached videos will play on
> the affected machines, and whether other html5 videos will play on affected
> machines.

Yes. It's not impossible that some of our encodings/containers for videos create issues and others don't. If we can identify those that do we can make sure to ship the ones that don't break for Firefox users. 

It would be awesome if arkeatm@gmail.com could check the two other videos I uploaded, too.

Sadly we currently don't have a smooth Flash fallback experience, because of various technical reasons. But even if we had, it would be great to identify what exactly is breaking for these users, so that we can fix it and provide them the better non-Flash experience.
Flags: needinfo?(arkeatm)
(In reply to Daniel Baulig from comment #25)
> Sadly we currently don't have a smooth Flash fallback experience, because of
> various technical reasons. But even if we had, it would be great to identify
> what exactly is breaking for these users, so that we can fix it and provide
> them the better non-Flash experience.

The only thing we have positively identified on Windows 7 is Codec Tweak Tool which is included with the once popular (on Windows XP) K-Lite Codec Pack. It cripples WMF by renaming some DLLs. This was found to be an issue on YouTube but we don't have numbers to tell how widespread it is. IIRC from 39 canPlayType() loads the WMF DLLs to make it more resistant to tampering.

Are you saying that Facebook doesn't check canPlayType() before loading the HTML5 video player?
(In reply to Daniel Baulig from comment #15)
> Created attachment 8628450 [details]
> encoding variant 1
> 
> @reporter Could you see if this video file plays for you?

Video can't be played because the file is corrupt.
Flags: needinfo?(arkeatm)
(In reply to Daniel Baulig from comment #16)
> Created attachment 8628451 [details]
> encoding variant 2
> 
> @reporter: And this one too, please.

Video can't be played because the file is corrupt.
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #26)
> Are you saying that Facebook doesn't check canPlayType() before loading the
> HTML5 video player?

Basically that's what I'm saying. We need to make a call on shipping users the HTML5 player or the Flash player before we have the opportunity to run any JavaScript. We are working on providing a client-side fallback, but it's not done yet. A fallback that requires another roundtrip to the server is already being tested and will probably be rolled out widespread very soon.
(In reply to arkeatm from comment #27)
> (In reply to Daniel Baulig from comment #15)
> > Created attachment 8628450 [details]
> > encoding variant 1
> > 
> > @reporter Could you see if this video file plays for you?
> 
> Video can't be played because the file is corrupt.

Thank you very much!
I was able to reproduce the failure using Codec Tweak Tool to disable Windows Media Foundation and its codecs.

From looking at NSPR logs I can see that Facebook is not checking canPlayType() for MP4/H.264/AAC (but it is for MP3).

Since Firefox 39/Bug 1160321, on Windows Firefox's HTMLMediaElement.canPlayType() implementation will ensure that it can instantiate a WMF decoder, before reporting that we support H.264 and AAC.

So Facebook can use canPlayType() in their client-side fallback mentioned by Daniel above.
arkeatm: Can you provide me some more information to help us debug this please?

Can you please:

1. Press WindowsKey + R
2. In the "Run" box that pops up enter "dxdiag" and press Enter.
3. In the "DirectX Diagnostic Tool" window that pops up, click "Save All Information..."
4. Attach the diagnostic file saved by dxdiag to this bug.

This will help me determine whether you have damaged codecs on your computer.

Also, do you have any other codecs installed, like K-Lite Codec Pack, or Haali Media Splitter?

Thanks!
Flags: needinfo?(arkeatm)
I'm getting this too!  It's only in FF: Facebook videos never play! Instead, an error message that says "Video Unavailable - We are having trouble playing this video".  I did a bunch of trouble-shooting (diff computers, diff browsers) and so far the only fix for me was to downgrade to FF 36 and now everything's fine.  I don't understand ANY of the gibberish tech-speak above, and I'm not even sure how this msg board works, so for now I'll just go with my own "fix" (?) until you guys can figure out what the problem is, and hopefully fix it in FF 40 or whatever.  Pretty embarassing that FF 39 didn't include a fix for this widespread issue....?


So far I've determined:
1) this error message only happens with Facebook videos, not YouTube, etc.
2) it only occurs using Firefox browser, not Chrome or IE
3) it happens regardless of what FB username I'm signed into
4) however, if I restart Windows 7 and sign in using the Guest Account, then I actually CAN view Facebook videos just fine, for some reason!
5) none of the typical trouble-shooting has done anything: restart FF with add-ons disabled, made sure my Adobe Flash version is up to date, and all plugins are up to date, etc....when I try to Google the problem, no relevent results come up, so I'm officially stumped

https://www.facebook.com/photo.php?fbid=868902189853062&set=a.253772888032665.59211.100001998686423&type=1&theater
Attached image FB video error.jpg
screen-shot of what the exact error msg looks like
update: I just checked, and actually I do have the K-Lite Codec Pack on my Windows 7 machine, it's version 8.7.8 dated 5/11/2012 -- maybe I'll try updating that or even uninstalling it, and see if that fixes things? weird
(In reply to Chris Pearce (:cpearce) from comment #32)
> arkeatm: Can you provide me some more information to help us debug this
> please?
> 
> Can you please:
> 
> 1. Press WindowsKey + R
> 2. In the "Run" box that pops up enter "dxdiag" and press Enter.
> 3. In the "DirectX Diagnostic Tool" window that pops up, click "Save All
> Information..."
> 4. Attach the diagnostic file saved by dxdiag to this bug.
> 
> This will help me determine whether you have damaged codecs on your computer.
> 
> Also, do you have any other codecs installed, like K-Lite Codec Pack, or
> Haali Media Splitter?
> 
> Thanks!

Though I replied to this but don't see it . Sorry if this is repeat.  
Not advanced enough to mess with codecs.  
------------------
System Information
------------------
Time of this report: 7/3/2015, 11:17:09
       Machine name: MOM-PC
   Operating System: Windows 7 Home Premium 64-bit (6.1, Build 7601) Service Pack 1 (7601.win7sp1_gdr.150525-0603)
           Language: English (Regional Setting: English)
System Manufacturer: LENOVO
       System Model: 2958                
               BIOS: Ver 1.00PARTTBLI
          Processor: Pentium(R) Dual-Core CPU       T4500  @ 2.30GHz (2 CPUs), ~2.3GHz
             Memory: 4096MB RAM
Available OS Memory: 4028MB RAM
          Page File: 2613MB used, 5442MB available
        Windows Dir: C:\windows
    DirectX Version: DirectX 11
DX Setup Parameters: Not found
   User DPI Setting: 96 DPI (100 percent)
 System DPI Setting: 96 DPI (100 percent)
    DWM DPI Scaling: Disabled
     DxDiag Version: 6.01.7601.17514 32bit Unicode

------------
DxDiag Notes
------------
      Display Tab 1: No problems found.
        Sound Tab 1: No problems found.
          Input Tab: No problems found.

--------------------
DirectX Debug Levels
--------------------
Direct3D:    0/4 (retail)
DirectDraw:  0/4 (retail)
DirectInput: 0/5 (retail)
DirectMusic: 0/5 (retail)
DirectPlay:  0/9 (retail)
DirectSound: 0/5 (retail)
DirectShow:  0/6 (retail)

---------------
Display Devices
---------------
          Card name: Mobile Intel(R) 4 Series Express Chipset Family
       Manufacturer: Intel Corporation
          Chip type: Mobile Intel(R) 4 Series Express Chipset Family
           DAC type: Internal
         Device Key: Enum\PCI\VEN_8086&DEV_2A42&SUBSYS_3A0217AA&REV_09
     Display Memory: 1695 MB
   Dedicated Memory: 32 MB
      Shared Memory: 1663 MB
       Current Mode: 1366 x 768 (32 bit) (60Hz)
       Monitor Name: Generic PnP Monitor
      Monitor Model: LP156WH2-TLAA
         Monitor Id: LGD0230
        Native Mode: 1366 x 768(p) (59.973Hz)
        Output Type: Internal
        Driver Name: igdumd64.dll,igd10umd64.dll,igdumdx32,igd10umd32
Driver File Version: 8.15.0010.1840 (English)
     Driver Version: 8.15.10.1840
        DDI Version: 10
       Driver Model: WDDM 1.1
  Driver Attributes: Final Retail
   Driver Date/Size: 7/2/2009 19:42:02, 5614592 bytes
        WHQL Logo'd: Yes
    WHQL Date Stamp: 
  Device Identifier: {D7B78E66-6902-11CF-2A73-081AA9C2C535}
          Vendor ID: 0x8086
          Device ID: 0x2A42
          SubSys ID: 0x3A0217AA
        Revision ID: 0x0009
 Driver Strong Name: oem5.inf:Intel.Mfg.NTamd64:iCNT0:8.15.10.1840:pci\ven_8086&dev_2a42&subsys_3a0217aa
     Rank Of Driver: 00E60001
        Video Accel: ModeMPEG2_A ModeMPEG2_C ModeWMV9_B ModeWMV9_C ModeVC1_B ModeVC1_C 
   Deinterlace Caps: {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YUY2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(UYVY,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(UYVY,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(UYVY,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(YV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(YV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(YV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(NV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(NV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(NV12,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC1,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC1,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC1,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC2,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC2,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC3,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC3,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC3,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
                     {BF752EF6-8CC4-457A-BE1B-08BD1CAEEE9F}: Format(In/Out)=(IMC4,YUY2) Frames(Prev/Fwd/Back)=(0,0,1) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_EdgeFiltering 
                     {335AA36E-7884-43A4-9C91-7F87FAF3E37E}: Format(In/Out)=(IMC4,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend DeinterlaceTech_BOBVerticalStretch 
                     {5A54A0C9-C7EC-4BD9-8EDE-F3C75DC4393B}: Format(In/Out)=(IMC4,YUY2) Frames(Prev/Fwd/Back)=(0,0,0) Caps=VideoProcess_YUV2RGB VideoProcess_StretchX VideoProcess_StretchY VideoProcess_AlphaBlend 
       D3D9 Overlay: Supported
            DXVA-HD: Supported
       DDraw Status: Enabled
         D3D Status: Enabled
         AGP Status: Enabled

-------------
Sound Devices
-------------
            Description: Speakers (Conexant SmartAudio HD)
 Default Sound Playback: Yes
 Default Voice Playback: Yes
            Hardware ID: HDAUDIO\FUNC_01&VEN_14F1&DEV_5051&SUBSYS_17AAC001&REV_1000
        Manufacturer ID: 1
             Product ID: 100
                   Type: WDM
            Driver Name: CHDRT64.sys
         Driver Version: 4.111.0000.0000 (English)
      Driver Attributes: Final Retail
            WHQL Logo'd: Yes
          Date and Size: 1/18/2010 03:45:50, 717368 bytes
            Other Files: 
        Driver Provider: Conexant
         HW Accel Level: Basic
              Cap Flags: 0xF1F
    Min/Max Sample Rate: 100, 200000
Static/Strm HW Mix Bufs: 1, 0
 Static/Strm HW 3D Bufs: 0, 0
              HW Memory: 0
       Voice Management: No
 EAX(tm) 2.0 Listen/Src: No, No
   I3DL2(tm) Listen/Src: No, No
Sensaura(tm) ZoomFX(tm): No

---------------------
Sound Capture Devices
---------------------
            Description: Microphone (Conexant SmartAudio HD)
  Default Sound Capture: Yes
  Default Voice Capture: Yes
            Driver Name: CHDRT64.sys
         Driver Version: 4.111.0000.0000 (English)
      Driver Attributes: Final Retail
          Date and Size: 1/18/2010 03:45:50, 717368 bytes
              Cap Flags: 0x1
           Format Flags: 0xFFFFF

-------------------
DirectInput Devices
-------------------
      Device Name: Mouse
         Attached: 1
    Controller ID: n/a
Vendor/Product ID: n/a
        FF Driver: n/a

      Device Name: Keyboard
         Attached: 1
    Controller ID: n/a
Vendor/Product ID: n/a
        FF Driver: n/a

      Device Name: USB Receiver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x046D, 0xC52F
        FF Driver: n/a

      Device Name: USB Receiver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x046D, 0xC52F
        FF Driver: n/a

      Device Name: USB Receiver
         Attached: 1
    Controller ID: 0x0
Vendor/Product ID: 0x046D, 0xC52F
        FF Driver: n/a

Poll w/ Interrupt: No

-----------
USB Devices
-----------
+ USB Root Hub
| Vendor/Product ID: 0x8086, 0x2937
| Matching Device ID: usb\root_hub
| Service: usbhub

----------------
Gameport Devices
----------------

------------
PS/2 Devices
------------
+ Standard PS/2 Keyboard
| Matching Device ID: *pnp0303
| Service: i8042prt
| 
+ Terminal Server Keyboard Driver
| Matching Device ID: root\rdp_kbd
| Upper Filters: kbdclass
| Service: TermDD
| 
+ Alps Pointing-device
| Matching Device ID: *pnp0f13
| Upper Filters: ApfiltrService
| Service: i8042prt
| 
+ HID-compliant mouse
| Vendor/Product ID: 0x046D, 0xC52F
| Matching Device ID: hid_device_system_mouse
| Service: mouhid
| 
+ Terminal Server Mouse Driver
| Matching Device ID: root\rdp_mou
| Upper Filters: mouclass
| Service: TermDD

------------------------
Disk & DVD/CD-ROM Drives
------------------------
      Drive: C:
 Free Space: 16.0 GB
Total Space: 192.2 GB
File System: NTFS
      Model: HITACHI HTS545025B9A300

      Drive: D:
 Free Space: 27.1 GB
Total Space: 31.0 GB
File System: NTFS
      Model: HITACHI HTS545025B9A300

      Drive: E:
      Model: HL-DT-ST DVDRAM GT30N
     Driver: c:\windows\system32\drivers\cdrom.sys, 6.01.7601.17514 (English), , 0 bytes

--------------
System Devices
--------------
     Name: Intel(R) ICH9 Family PCI Express Root Port 2 - 2942
Device ID: PCI\VEN_8086&DEV_2942&SUBSYS_3A0F17AA&REV_03\3&11583659&2&E1
   Driver: n/a

     Name: Intel(R) ICH9 Family USB Universal Host Controller - 2936
Device ID: PCI\VEN_8086&DEV_2936&SUBSYS_3A1617AA&REV_03\3&11583659&2&EA
   Driver: n/a

     Name: Broadcom 802.11g Network Adapter
Device ID: PCI\VEN_14E4&DEV_4315&SUBSYS_04B514E4&REV_01\4&BF73B6F&0&00E2
   Driver: n/a

     Name: Intel(R) ICH9 Family PCI Express Root Port 1 - 2940
Device ID: PCI\VEN_8086&DEV_2940&SUBSYS_3A0E17AA&REV_03\3&11583659&2&E0
   Driver: n/a

     Name: Intel(R) ICH9 Family USB Universal Host Controller - 2935
Device ID: PCI\VEN_8086&DEV_2935&SUBSYS_3A1517AA&REV_03\3&11583659&2&E9
   Driver: n/a

     Name: Broadcom NetLink (TM) Fast Ethernet
Device ID: PCI\VEN_14E4&DEV_1713&SUBSYS_3A2317AA&REV_02\4&131FC0F7&0&00E5
   Driver: n/a

     Name: Mobile Intel(R) 4 Series Express Chipset Family
Device ID: PCI\VEN_8086&DEV_2A43&SUBSYS_3A0217AA&REV_09\3&11583659&2&11
   Driver: n/a

     Name: High Definition Audio Controller
Device ID: PCI\VEN_8086&DEV_293E&SUBSYS_3A0D17AA&REV_03\3&11583659&2&D8
   Driver: n/a

     Name: Intel(R) ICH9 Family USB Universal Host Controller - 2934
Device ID: PCI\VEN_8086&DEV_2934&SUBSYS_3A1417AA&REV_03\3&11583659&2&E8
   Driver: n/a

     Name: Mobile Intel(R) 4 Series Express Chipset Family
Device ID: PCI\VEN_8086&DEV_2A42&SUBSYS_3A0217AA&REV_09\3&11583659&2&10
   Driver: n/a

     Name: Intel(R) ICH9 Family USB2 Enhanced Host Controller - 293C
Device ID: PCI\VEN_8086&DEV_293C&SUBSYS_3A0C17AA&REV_03\3&11583659&2&D7
   Driver: n/a

     Name: Intel(R) ICH9 Family Thermal Subsystem - 2932
Device ID: PCI\VEN_8086&DEV_2932&SUBSYS_3A1F17AA&REV_03\3&11583659&2&FE
   Driver: n/a

     Name: Mobile Intel(R) 4 Series Chipset Processor to DRAM Controller - 2A40
Device ID: PCI\VEN_8086&DEV_2A40&SUBSYS_3A0017AA&REV_09\3&11583659&2&00
   Driver: n/a

     Name: Intel(R) ICH9 Family USB2 Enhanced Host Controller - 293A
Device ID: PCI\VEN_8086&DEV_293A&SUBSYS_3A1717AA&REV_03\3&11583659&2&EF
   Driver: n/a

     Name: Intel(R) ICH9 Family SMBus Controller - 2930
Device ID: PCI\VEN_8086&DEV_2930&SUBSYS_3A1D17AA&REV_03\3&11583659&2&FB
   Driver: n/a

     Name: Intel(R) ICH9 Family PCI Express Root Port 6 - 294A
Device ID: PCI\VEN_8086&DEV_294A&SUBSYS_3A1317AA&REV_03\3&11583659&2&E5
   Driver: n/a

     Name: Intel(R) ICH9 Family USB Universal Host Controller - 2939
Device ID: PCI\VEN_8086&DEV_2939&SUBSYS_3A0B17AA&REV_03\3&11583659&2&D2
   Driver: n/a

     Name: Intel(R) ICH9M-E/M SATA AHCI Controller
Device ID: PCI\VEN_8086&DEV_2929&SUBSYS_3A1A17AA&REV_03\3&11583659&2&FA
   Driver: n/a

     Name: Intel(R) ICH9 Family PCI Express Root Port 4 - 2946
Device ID: PCI\VEN_8086&DEV_2946&SUBSYS_3A1117AA&REV_03\3&11583659&2&E3
   Driver: n/a

     Name: Intel(R) ICH9 Family USB Universal Host Controller - 2938
Device ID: PCI\VEN_8086&DEV_2938&SUBSYS_3A0A17AA&REV_03\3&11583659&2&D1
   Driver: n/a

     Name: Intel(R) ICH9M LPC Interface Controller - 2919
Device ID: PCI\VEN_8086&DEV_2919&SUBSYS_3A1917AA&REV_03\3&11583659&2&F8
   Driver: n/a

     Name: Intel(R) ICH9 Family PCI Express Root Port 3 - 2944
Device ID: PCI\VEN_8086&DEV_2944&SUBSYS_3A1017AA&REV_03\3&11583659&2&E2
   Driver: n/a

     Name: Intel(R) ICH9 Family USB Universal Host Controller - 2937
Device ID: PCI\VEN_8086&DEV_2937&SUBSYS_3A0917AA&REV_03\3&11583659&2&D0
   Driver: n/a

     Name: Intel(R) 82801 PCI Bridge - 2448
Device ID: PCI\VEN_8086&DEV_2448&SUBSYS_383F17AA&REV_93\3&11583659&2&F0
   Driver: n/a

------------------
DirectShow Filters
------------------

DirectShow Filters:
WMAudio Decoder DMO,0x00800800,1,1,WMADMOD.DLL,6.01.7601.17514
WMAPro over S/PDIF DMO,0x00600800,1,1,WMADMOD.DLL,6.01.7601.17514
WMSpeech Decoder DMO,0x00600800,1,1,WMSPDMOD.DLL,6.01.7601.17514
MP3 Decoder DMO,0x00600800,1,1,mp3dmod.dll,6.01.7600.16385
Mpeg4s Decoder DMO,0x00800001,1,1,mp4sdecd.dll,6.01.7600.16385
WMV Screen decoder DMO,0x00600800,1,1,wmvsdecd.dll,6.01.7601.17514
WMVideo Decoder DMO,0x00800001,1,1,wmvdecod.dll,6.01.7601.18221
Mpeg43 Decoder DMO,0x00800001,1,1,mp43decd.dll,6.01.7600.16385
Mpeg4 Decoder DMO,0x00800001,1,1,mpg4decd.dll,6.01.7600.16385
Samsung MPEG-4 Splitter Filter,0x00800005,0,1,pxtrmp4s.dll,1.17.0010.0023
WMT VIH2 Fix,0x00200000,1,1,WLXVAFilt.dll,15.04.3555.0308
Record Queue,0x00200000,1,1,WLXVAFilt.dll,15.04.3555.0308
WMT Switch Filter,0x00200000,1,1,WLXVAFilt.dll,15.04.3555.0308
WMT Virtual Renderer,0x00200000,1,0,WLXVAFilt.dll,15.04.3555.0308
WMT DV Extract,0x00200000,1,1,WLXVAFilt.dll,15.04.3555.0308
WMT Virtual Source,0x00200000,0,1,WLXVAFilt.dll,15.04.3555.0308
WMT Sample Information Filter,0x00200000,1,1,WLXVAFilt.dll,15.04.3555.0308
CyberLink MPEG Video Encoder,0x00200000,1,1,P2GVidEnc.ax,6.00.0001.2226
CyberLink MP3/WAV Wrapper,0x00200000,1,1,P2GMP3Wrap.ax,3.07.0000.1314
Samsung H264 Decoder,0x00600000,1,1,pxtrvdf.dll,1.05.0003.0013
DV Muxer,0x00400000,0,0,qdv.dll,6.06.7601.17514
CyberLink AudioCD Filter,0x00200000,0,1,P2GAudioCD.ax,5.00.0000.0912
Color Space Converter,0x00400001,1,1,quartz.dll,6.06.7601.18741
WM ASF Reader,0x00400000,0,0,qasf.dll,12.00.7601.17514
Audio Source,0x00200000,0,1,wmprevu.dll,9.00.0000.2980
Screen Capture filter,0x00200000,0,1,wmpsrcwp.dll,12.00.7601.17514
AVI Splitter,0x00600000,1,1,quartz.dll,6.06.7601.18741
VGA 16 Color Ditherer,0x00400000,1,1,quartz.dll,6.06.7601.18741
SBE2MediaTypeProfile,0x00200000,0,0,sbe.dll,6.06.7601.17528
CyberLink Editing Service 3.0 (Source),0x00200000,0,2,P2GEdtKrn.dll,3.00.0000.2911
Microsoft DTV-DVD Video Decoder,0x005fffff,2,4,msmpeg2vdec.dll,12.00.9200.17037
AC3 Parser Filter,0x00600000,1,1,mpg2splt.ax,6.06.7601.17528
MACSReaderMP3 Filter,0x00200000,0,1,MACSReaderAVI.ax,1.00.2006.0804
StreamBufferSink,0x00200000,0,0,sbe.dll,6.06.7601.17528
MJPEG Decompressor,0x00600000,1,1,quartz.dll,6.06.7601.18741
MPEG-I Stream Splitter,0x00600000,1,2,quartz.dll,6.06.7601.18741
SAMI (CC) Parser,0x00400000,1,1,quartz.dll,6.06.7601.18741
P2G Video Decoder,0x00200000,2,3,P2GVSD.ax,6.00.0000.2310
VBI Codec,0x00600000,1,4,VBICodec.ax,6.06.7601.17514
MPEG-2 Splitter,0x005fffff,1,0,mpg2splt.ax,6.06.7601.17528
Samsung MP4 Muxer Filter,0x00200000,1,1,ssmp4mux.ax,
Closed Captions Analysis Filter,0x00200000,2,5,cca.dll,6.06.7601.17514
SBE2FileScan,0x00200000,0,0,sbe.dll,6.06.7601.17528
Microsoft MPEG-2 Video Encoder,0x00200000,1,1,msmpeg2enc.dll,6.01.7601.17514
SelfMusicVideo Dump Filter,0x00200000,1,0,TG_Dump0708.DLL,8.01.2008.5200
Internal Script Command Renderer,0x00800001,1,0,quartz.dll,6.06.7601.18741
CyberLink Video Regulator,0x00200000,1,1,P2GRGL.ax,2.00.0000.4305
P2G Audio Decoder,0x00200000,1,1,P2GAud.ax,6.01.0000.3601
MPEG Audio Decoder,0x03680001,1,1,quartz.dll,6.06.7601.18741
DV Splitter,0x00600000,1,2,qdv.dll,6.06.7601.17514
Video Mixing Renderer 9,0x00200000,1,0,quartz.dll,6.06.7601.18741
CyberLink Video Effect,0x00200000,1,1,P2GVidFx.ax,1.00.0000.3207
Disk Record Queue,0x00200000,1,1,wmedque.dll,9.00.0000.2980
AC3 Decoder Filter,0x00200000,1,1,ac3dx.ax,1.00.0000.0001
Samsung MJPEG Decoder,0x00600000,1,1,pxtrvdf.dll,1.05.0003.0013
CyberLink Audio Noise Reduction,0x00200000,1,1,P2GAuNRWrapper.ax,2.00.0000.1805
Microsoft MPEG-2 Encoder,0x00200000,2,1,msmpeg2enc.dll,6.01.7601.17514
CyberLink Load Image Filter,0x00200000,0,1,CLImage.ax,3.00.0000.2307
CyberLink MPEG-2 Splitter,0x00200000,1,2,P2Gm2spliter.ax,2.04.0000.2301
Color Converter,0x00200000,1,1,declrds.ax,9.00.0000.2980
Xvid MPEG-4 Video Decoder,0x00800000,1,1,xvid.ax,
CyberLink Audio VolumeBooster,0x00200000,1,1,P2GVB.ax,1.00.0000.1008
ACM Wrapper,0x00600000,1,1,quartz.dll,6.06.7601.18741
Video Renderer,0x00800001,1,0,quartz.dll,6.06.7601.18741
MPEG-2 Video Stream Analyzer,0x00200000,0,0,sbe.dll,6.06.7601.17528
Cyberlink Dump Dispatch Filter,0x00200000,1,0,P2GDumpDispatch.ax,1.02.0001.2412
Line 21 Decoder,0x00600000,1,1,qdvd.dll,6.06.7601.18741
Video Port Manager,0x00600000,2,1,quartz.dll,6.06.7601.18741
Video Renderer,0x00400000,1,0,quartz.dll,6.06.7601.18741
CyberLink Audio Resampler,0x00200000,1,1,P2GAuRsmpl.ax,2.00.0000.1318
File Writer,0x00200000,1,0,WLXVAFilt.dll,15.04.3555.0308
VPS Decoder,0x00200000,0,0,WSTPager.ax,6.06.7601.17514
WM ASF Writer,0x00400000,0,0,qasf.dll,12.00.7601.17514
CyberLink MPEG-1 Splitter,0x00200000,1,2,P2Gm1spliter.ax,2.04.0000.2301
VBI Surface Allocator,0x00600000,1,1,vbisurf.ax,6.01.7601.17514
File writer,0x00200000,1,0,qcap.dll,6.06.7601.17514
Samsung H264 Encoding Filter,0x00200000,1,1,pxtrvef.dll,1.04.0007.0139
iTV Data Sink,0x00600000,1,0,itvdata.dll,6.06.7601.17514
iTV Data Capture filter,0x00600000,1,1,itvdata.dll,6.06.7601.17514
Cyberlink File Reader (Async.),0x00200000,0,1,P2GReader.ax,3.00.0000.3016
CyberLink M2V Writer,0x00200000,1,0,P2GM2VWriter.ax,1.03.0000.2017
Cyberlink Dump Filter,0x00200000,1,0,P2GDump.ax,3.00.0000.7122
CyberLink Video Stabilizer,0x00200000,1,1,P2GVideoStabilizer.ax,1.00.0000.1521
Samsung AAC Decoding Filter,0x0060000a,1,1,pxtraacd.dll,1.00.0009.0001
CyberLink PCM Wrapper,0x00200000,1,1,P2GPCMEnc.ax,1.01.0000.0321
Samsung AAC Encoder Filter,0x00200000,1,1,pxtraace.dll,1.02.0004.0007
DVD Navigator,0x00200000,0,3,qdvd.dll,6.06.7601.18741
Overlay Mixer2,0x00200000,1,1,qdvd.dll,6.06.7601.18741
NEDFilter4Samsung Filter,0x00200000,0,1,NEDFilter4Samsung.ax,8.01.0000.0000
AVI Draw,0x00600064,9,1,quartz.dll,6.06.7601.18741
RDP DShow Redirection Filter,0xffffffff,1,0,DShowRdpFilter.dll,
Microsoft MPEG-2 Audio Encoder,0x00200000,1,1,msmpeg2enc.dll,6.01.7601.17514
WST Pager,0x00200000,1,1,WSTPager.ax,6.06.7601.17514
MPEG-2 Demultiplexer,0x00600000,1,1,mpg2splt.ax,6.06.7601.17528
DV Video Decoder,0x00800000,1,1,qdv.dll,6.06.7601.17514
Screen Capture filter,0x00200000,0,1,wmesrcwp.dll,9.00.0000.2980
SampleGrabber,0x00200000,1,1,qedit.dll,6.06.7601.18501
Null Renderer,0x00200000,1,0,qedit.dll,6.06.7601.18501
MPEG-2 Sections and Tables,0x005fffff,1,0,Mpeg2Data.ax,6.06.7601.17514
Microsoft AC3 Encoder,0x00200000,1,1,msac3enc.dll,6.01.7601.17514
StreamBufferSource,0x00200000,0,0,sbe.dll,6.06.7601.17528
CyberLink TimeStretch Filter (CES),0x00200000,1,1,P2Gauts.ax,1.00.0000.4024
Smart Tee,0x00200000,1,2,qcap.dll,6.06.7601.17514
Overlay Mixer,0x00200000,0,0,qdvd.dll,6.06.7601.18741
CyberLink TL MPEG Splitter,0x00200000,1,2,P2GTLMSplter.ax,3.02.0000.2219
AVI Decompressor,0x00600000,1,1,quartz.dll,6.06.7601.18741
CyberLink MPEG Muxer,0x00200000,2,1,P2GMpgMux.ax,5.00.0000.2221
AVI/WAV File Source,0x00400000,0,2,quartz.dll,6.06.7601.18741
Wave Parser,0x00400000,1,1,quartz.dll,6.06.7601.18741
MIDI Parser,0x00400000,1,1,quartz.dll,6.06.7601.18741
Multi-file Parser,0x00400000,1,1,quartz.dll,6.06.7601.18741
File stream renderer,0x00400000,1,1,quartz.dll,6.06.7601.18741
Video Source,0x00200000,0,1,wmprevu.dll,9.00.0000.2980
Microsoft DTV-DVD Audio Decoder,0x005fffff,1,1,msmpeg2adec.dll,6.01.7140.0000
StreamBufferSink2,0x00200000,0,0,sbe.dll,6.06.7601.17528
AVI Mux,0x00200000,1,0,qcap.dll,6.06.7601.17514
Line 21 Decoder 2,0x00600002,1,1,quartz.dll,6.06.7601.18741
File Source (Async.),0x00400000,0,1,quartz.dll,6.06.7601.18741
File Source (URL),0x00400000,0,1,quartz.dll,6.06.7601.18741
P2G Video Regulator,0x00200000,1,1,P2GResample.ax,2.05.0000.1818
P2G Audio Encoder,0x00200000,2,0,P2GAudEnc.ax,2.00.0000.4815
Infinite Pin Tee Filter,0x00200000,1,1,qcap.dll,6.06.7601.17514
Enhanced Video Renderer,0x00200000,1,0,evr.dll,6.01.7601.18741
BDA MPEG2 Transport Information Filter,0x00200000,2,0,psisrndr.ax,6.06.7601.17669
MyFree Codec Filter,0x00200000,0,0,MyFree.ax,
MPEG Video Decoder,0x40000001,1,1,quartz.dll,6.06.7601.18741
CyberLink MPEG Decoder,0x00200000,2,3,P2GMVD.ax,5.00.0000.0929

WDM Streaming Tee/Splitter Devices:
Tee/Sink-to-Sink Converter,0x00200000,1,1,ksproxy.ax,6.01.7601.17514

Video Compressors:
WMVideo Encoder DMO,0x00600800,1,1,wmvdmoe.dll,7.00.0000.1954
WMVideo8 Encoder DMO,0x00600800,1,1,wmvxencd.dll,6.01.7600.16385
MSScreen encoder DMO,0x00600800,1,1,wmsdmoe.dll,7.00.0000.1954
WMVideo9 Encoder DMO,0x00600800,1,1,wmvencod.dll,6.01.7600.16385
MSScreen 9 encoder DMO,0x00600800,1,1,wmvsencd.dll,6.01.7600.16385
DV Video Encoder,0x00200000,0,0,qdv.dll,6.06.7601.17514
MJPEG Compressor,0x00200000,0,0,quartz.dll,6.06.7601.18741
Samsung H264 Encoding Filter,0x00100000,1,1,pxtrvef.dll,1.04.0007.0139
Cinepak Codec by Radius,0x00200000,1,1,qcap.dll,6.06.7601.17514
Intel IYUV codec,0x00200000,1,1,qcap.dll,6.06.7601.17514
Intel IYUV codec,0x00200000,1,1,qcap.dll,6.06.7601.17514
Microsoft MPEG-4 Video Codec V2,0x00200000,1,1,qcap.dll,6.06.7601.17514
Microsoft MPEG-4 Video Codec V3,0x00200000,1,1,qcap.dll,6.06.7601.17514
Microsoft MPEG-4 Video Codec V1,0x00200000,1,1,qcap.dll,6.06.7601.17514
Microsoft RLE,0x00200000,1,1,qcap.dll,6.06.7601.17514
Microsoft Video 1,0x00200000,1,1,qcap.dll,6.06.7601.17514

Audio Compressors:
WM Speech Encoder DMO,0x00600800,1,1,WMSPDMOE.DLL,6.01.7600.16385
WMAudio Encoder DMO,0x00600800,1,1,WMADMOE.DLL,6.01.7600.16385
Samsung AAC Encoder Filter,0x00100000,1,1,pxtraace.dll,1.02.0004.0007
IMA ADPCM,0x00200000,1,1,quartz.dll,6.06.7601.18741
PCM,0x00200000,1,1,quartz.dll,6.06.7601.18741
Microsoft ADPCM,0x00200000,1,1,quartz.dll,6.06.7601.18741
ACELP.net,0x00200000,1,1,quartz.dll,6.06.7601.18741
Windows Media Audio V1,0x00200000,1,1,quartz.dll,6.06.7601.18741
Windows Media Audio V2,0x00200000,1,1,quartz.dll,6.06.7601.18741
GSM 6.10,0x00200000,1,1,quartz.dll,6.06.7601.18741
CCITT A-Law,0x00200000,1,1,quartz.dll,6.06.7601.18741
CCITT u-Law,0x00200000,1,1,quartz.dll,6.06.7601.18741
MPEG Layer-3,0x00200000,1,1,quartz.dll,6.06.7601.18741

Audio Capture Sources:
Microphone (Conexant SmartAudio,0x00200000,0,0,qcap.dll,6.06.7601.17514

PBDA CP Filters:
PBDA DTFilter,0x00600000,1,1,CPFilters.dll,6.06.7601.17528
PBDA ETFilter,0x00200000,0,0,CPFilters.dll,6.06.7601.17528
PBDA PTFilter,0x00200000,0,0,CPFilters.dll,6.06.7601.17528

Midi Renderers:
Default MidiOut Device,0x00800000,1,0,quartz.dll,6.06.7601.18741
Microsoft GS Wavetable Synth,0x00200000,1,0,quartz.dll,6.06.7601.18741

WDM Streaming Capture Devices:
Conexant HD Audio input,0x00200000,1,1,ksproxy.ax,6.01.7601.17514
,0x00000000,0,0,,
Lenovo EasyCamera,0x00200000,1,2,ksproxy.ax,6.01.7601.17514

WDM Streaming Rendering Devices:
,0x00000000,0,0,,
Conexant HD Audio output,0x00200000,1,1,ksproxy.ax,6.01.7601.17514

BDA Network Providers:
Microsoft ATSC Network Provider,0x00200000,0,1,MSDvbNP.ax,6.06.7601.17514
Microsoft DVBC Network Provider,0x00200000,0,1,MSDvbNP.ax,6.06.7601.17514
Microsoft DVBS Network Provider,0x00200000,0,1,MSDvbNP.ax,6.06.7601.17514
Microsoft DVBT Network Provider,0x00200000,0,1,MSDvbNP.ax,6.06.7601.17514
Microsoft Network Provider,0x00200000,0,1,MSNP.ax,6.06.7601.17514

Video Capture Sources:
Lenovo EasyCamera,0x00200000,1,2,ksproxy.ax,6.01.7601.17514

Multi-Instance Capable VBI Codecs:
VBI Codec,0x00600000,1,4,VBICodec.ax,6.06.7601.17514

BDA Transport Information Renderers:
BDA MPEG2 Transport Information Filter,0x00600000,2,0,psisrndr.ax,6.06.7601.17669
MPEG-2 Sections and Tables,0x00600000,1,0,Mpeg2Data.ax,6.06.7601.17514

BDA CP/CA Filters:
Decrypt/Tag,0x00600000,1,1,EncDec.dll,6.06.7601.17708
Encrypt/Tag,0x00200000,0,0,EncDec.dll,6.06.7601.17708
PTFilter,0x00200000,0,0,EncDec.dll,6.06.7601.17708
XDS Codec,0x00200000,0,0,EncDec.dll,6.06.7601.17708

WDM Streaming Communication Transforms:
Tee/Sink-to-Sink Converter,0x00200000,1,1,ksproxy.ax,6.01.7601.17514

Audio Renderers:
Speakers (Conexant SmartAudio H,0x00200000,1,0,quartz.dll,6.06.7601.18741
Default DirectSound Device,0x00800000,1,0,quartz.dll,6.06.7601.18741
Default WaveOut Device,0x00200000,1,0,quartz.dll,6.06.7601.18741
DirectSound: Speakers (Conexant SmartAudio HD),0x00200000,1,0,quartz.dll,6.06.7601.18741

---------------
EVR Power Information
---------------
Current Setting: {651288E5-A7ED-4076-A96B-6CC62D848FE1} (Balanced)
  Quality Flags: 2576
    Enabled:
    Force throttling
    Allow half deinterlace
    Allow scaling
    Decode Power Usage: 100
  Balanced Flags: 1424
    Enabled:
    Force throttling
    Allow batching
    Force half deinterlace
    Force scaling
    Decode Power Usage: 50
  PowerFlags: 1424
    Enabled:
    Force throttling
    Allow batching
    Force half deinterlace
    Force scaling
    Decode Power Usage: 0
(In reply to djmichaelangelo@outlook.com from comment #35)
> update: I just checked, and actually I do have the K-Lite Codec Pack on my
> Windows 7 machine, it's version 8.7.8 dated 5/11/2012 -- maybe I'll try
> updating that or even uninstalling it, and see if that fixes things? weird

You need to run the Codec Tweak Tool before uninstalling it. It comes with the K-Lite Codec Pack. There is an option in there to set Windows Media Framework back into an unbroken state. The intent of breaking WMF seems to be making Windows Media Player fall back to Direct Show and use the K-Lite codecs. Firefox requires the system supplied WMF codecs to play MP4 video.
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #37)
> (In reply to djmichaelangelo@outlook.com from comment #35)
> > update: I just checked, and actually I do have the K-Lite Codec Pack on my
> > Windows 7 machine, it's version 8.7.8 dated 5/11/2012 -- maybe I'll try
> > updating that or even uninstalling it, and see if that fixes things? weird
> 
> You need to run the Codec Tweak Tool before uninstalling it. It comes with
> the K-Lite Codec Pack. There is an option in there to set Windows Media
> Framework back into an unbroken state. The intent of breaking WMF seems to
> be making Windows Media Player fall back to Direct Show and use the K-Lite
> codecs. Firefox requires the system supplied WMF codecs to play MP4 video.


Not sure what you mean here.  I did install Codec Tweak Tool 5.9.8 just now, but the closest thing to what you're saying above is a button for Media Foundation, then a bunch of checkboxes for different video types (3g2, avi, mov, mp4, etc) and a choice to "disable for these formats".  Is that what I want to select?  There's also another button on the main screen of Codec Tweak Tool that says "Microsoft Codec Tweaks" and one of the checkbox choices there is to "Disable Media Foundation".  

I tried uninstalling the K-Lite codec pack anyway using the standard "Uninstal Or Change Programs" settings in Windows 7, and that wouldn't even work.  It just gives the incomprehensible error message: "Internal Error - Cannot find utCompiledCode record for this version of the uninstaller".  I'm starting to wonder grumpily if there's ANY video clip on FB that's worth going to all this trouble to watch, hmmmmmm....  :(
I am also experiencing this same issue.

All Facebook hosted videos display error "Video Unavailable We are having trouble playing this video"
All other website videos play ok  (youtube / Vimeo / Netflix etc.)
IE and Chrome unaffected.

My PC:
WIN8.1 x64
FF v 39.0  (Issue began after version 38.0 installed)
all win updates current
no codec packs installed ever

I have uninstalled FF and deleted my profile completely, Uninstalled Flash completely. Cleaned up Registry (CCleaner)
Reinstalled latest versions of both and still getting same issue.

Installed FF v 37.0 and no longer experiencing problem.

Reinstalled FF v 39.0 and happy to help with further troubleshooting??

Web console displaying following errors:  (playing video from GoPro page)

HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource https://fbcdn-video-n-a.akamaihd.net/hvideo-ak-xtf1/v/t43.1792-2/11415265_950120325040320_1802088716_n.mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsInJsciI6MTY5MiwicmxhIjoxMDI0fQ%3D%3D&rl=1692&vabr=1128&oh=5f0c378d43f5b311c885415cdbdb48bb&oe=5599480C&__gda__=1436107910_8e01588f089a15e7a428e1f5f25b2b42 failed.
HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource https://fbcdn-video-m-a.akamaihd.net/hvideo-ak-xtf1/v/t43.1792-2/11400472_10153151713991919_1541206838_n.mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsInJsciI6MjQxOSwicmxhIjoxMDI0fQ%3D%3D&rl=2419&vabr=1613&oh=79620c708a823f3a8d00cc158e1bb2c5&oe=5599470D&__gda__=1436111598_8c592430713ccc98e9f6baab6f96e2b2 failed. 10153157683841919
HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource https://video-hkg3-1.xx.fbcdn.net/hvideo-xfp1/v/t43.1792-2/11540782_10153157686311919_1407815906_n.mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsInJsciI6MjQ0OCwicmxhIjoxMTY0fQ%3D%3D&rl=2448&vabr=1632&oh=d1c786d16a23d747316a7c71c8ff8f4f&oe=5599453A failed. 10153157683841919
HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource https://video-hkg3-1.xx.fbcdn.net/hvideo-xpa1/v/t43.1792-2/10301079_1123985764284469_249461522_n.mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsInJsciI6MTk5OCwicmxhIjoxMDI0fQ%3D%3D&rl=1998&vabr=1332&oh=a20206f6efaee72502e4fc732cb9bb49&oe=55994402 failed. 10153157683841919
HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource https://video-hkg3-1.xx.fbcdn.net/hvideo-xfa1/v/t43.1792-2/11430082_10152927240834117_388849803_n.mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsInJsciI6MzU3NiwicmxhIjoyMDU2fQ%3D%3D&rl=3576&vabr=2384&oh=bf0e2e75747b224c1264aaf1437dea7c&oe=55994272 failed.

When loading failed addresses above into a new tab, it requests to activate my VLC plugin and then plays successfully.  This also occurs for all the example videos in this thread.
(In reply to djmichaelangelo@outlook.com from comment #38)
> Not sure what you mean here.  I did install Codec Tweak Tool 5.9.8 just now,
> but the closest thing to what you're saying above is a button for Media
> Foundation, then a bunch of checkboxes for different video types (3g2, avi,
> mov, mp4, etc) and a choice to "disable for these formats".  Is that what I
> want to select?  There's also another button on the main screen of Codec
> Tweak Tool that says "Microsoft Codec Tweaks" and one of the checkbox
> choices there is to "Disable Media Foundation".  

You need to make sure "Disable Media Foundation" is not checked.
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #40)
> You need to make sure "Disable Media Foundation" is not checked.

This is obviously not the only thing that can go wrong with WMF but it is something we have seen reported in the past.
Any news on resolution of this issue?
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #7)
> It's in the log:
> Media resource
> https://video.fsnc1-1.fna.fbcdn.net/hvideo-xaf1/v/t42.1790-2/
> 11382513_1143455962338371_1196292300_n.
> mp4?efg=eyJybHIiOjYzMCwicmxhIjo1MTJ9&rl=630&vabr=350&oh=c1e4290c590596eaa66e8
> 7fe459e5375&oe=559423AE could not be decoded. 1143455385671762
> 
> If I load this video URL directly in a tab, it plays for me (mac). arkeatm
> can you try loading this URL directly in a new tab and see whether it works
> or not?


Sorry, something went wrong.

We're working on it and we'll get it fixed as soon as we can.
Flags: needinfo?(arkeatm)
(In reply to Chris Pearce (:cpearce) from comment #32)
> arkeatm: Can you provide me some more information to help us debug this
> please?
> 
> Can you please:
> 
> 1. Press WindowsKey + R
> 2. In the "Run" box that pops up enter "dxdiag" and press Enter.
> 3. In the "DirectX Diagnostic Tool" window that pops up, click "Save All
> Information..."
> 4. Attach the diagnostic file saved by dxdiag to this bug.
> 
> This will help me determine whether you have damaged codecs on your computer.
> 
> Also, do you have any other codecs installed, like K-Lite Codec Pack, or
> Haali Media Splitter?
> 
> Thanks!
no codecs
I downloaded FF 40 beta and all seems to be well now.
We've rolled out a fallback mechanism to a majority of users on Facebook that will allow people to fall back to the Flash player if something goes wrong playing a video in the HTML5 player. This fallback requires the user to manually play the video and will play the video in a separate overlay, unlike the regular video player, which will play the video directly in newsfeed. We are currently still keeping a small holdout to determine it's impact and that everything is working correctly. Note that Mozilla has very recently disabled the Flash plugin in Firefox due to the latest Flash 0-day exploit revelations, which means the fallback may also not be working for users currently.

We also started rolling out a transparent fallback mechanism, that will fallback to the Flash player upon a failed canPlayType check that does not require any additional user interaction and does support playing videos directly in newsfeed. Rolling out this transparent fallback will take a little longer though. I'll update this task as we progress with the rollout.
(In reply to Lee from comment #39)
> I am also experiencing this same issue.

Can you provide the information that Chris asked for in comment #32? Does Firefox Beta 40 work for you?

(In reply to arkeatm from comment #45)
> I downloaded FF 40 beta and all seems to be well now.

Excellent. I don't know what got fixed in 40 but that is definitely good news.

(In reply to Daniel Baulig from comment #46)
> We've rolled out a fallback mechanism to a majority of users on Facebook
> that will allow people to fall back to the Flash player if something goes
> wrong playing a video in the HTML5 player.

Excellent.
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #47)
> (In reply to Lee from comment #39)
> > I am also experiencing this same issue.
> 
> Can you provide the information that Chris asked for in comment #32? Does
> Firefox Beta 40 work for you?

Attached "Lee - DxDiag.txt"

I have also installed Beta 40,  but now I don't get the error message "Video Unavailable We are having trouble playing this video"
I now just get the flashing 3 bars like it's loading but nothing loads.  if I select options / download, it prompts to activate my vlc plugin and then plays ok.


Playing vidoes from GoPro page shows the following web console errors:

HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource https://fbcdn-video-k-a.akamaihd.net/hvideo-ak-xat1/v/t43.1792-2/11400929_10153177694936919_406007311_n.mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsInJsciI6MzM0MiwicmxhIjo0MDk2fQ%3D%3D&rl=3342&vabr=2228&oh=960deff6ac6fcd2e6b12548a78136668&oe=55A88B31&__gda__=1437110225_ba032dfa9e6ce13cdaa10902410c66c1 failed.
HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource https://video-hkg3-1.xx.fbcdn.net/hvideo-xta1/v/t43.1792-2/11277562_10103285959283084_253185761_n.mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsInJsciI6MzE0MiwicmxhIjo0MDk2fQ%3D%3D&rl=3142&vabr=2095&oh=2979037c0819aecb7774271948d146f0&oe=55A88B6C failed.
HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource https://video-hkg3-1.xx.fbcdn.net/hvideo-xtf1/v/t43.1792-2/11161485_10153190997576919_3967559_n.mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsInJsciI6MzU5MSwicmxhIjo0MDk2fQ%3D%3D&rl=3591&vabr=2394&oh=8a8ca2c8b4de39941920038b8934e4e6&oe=55A87E33 failed.


However something strange with one of the GoPro videos works and plays ok... (the main video at the top, it seems to be the only video with fallback=1 at the end of the URL.)
https://www.facebook.com/gopro/videos/10153188203681919/?fallback=1

The web console still displays the same errors for this video even though it plays normally in the flash style pop out screen.
But if I open this URL above in a new tab (so no flash pop-up)  it will not play. And embed video gives a Video Unavailable error.
Attached file Lee - DxDiag.txt
(In reply to Lee from comment #48)
> (In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #47)
> > (In reply to Lee from comment #39)
> > > I am also experiencing this same issue.
> > 
> > Can you provide the information that Chris asked for in comment #32? Does
> > Firefox Beta 40 work for you?
> 
> Attached "Lee - DxDiag.txt"
> 
> I have also installed Beta 40,  but now I don't get the error message "Video
> Unavailable We are having trouble playing this video"
> I now just get the flashing 3 bars like it's loading but nothing loads.  if
> I select options / download, it prompts to activate my vlc plugin and then
> plays ok.
> 
> 
> Playing vidoes from GoPro page shows the following web console errors:
> 
> HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource
> https://fbcdn-video-k-a.akamaihd.net/hvideo-ak-xat1/v/t43.1792-2/
> 11400929_10153177694936919_406007311_n.
> mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsI
> nJsciI6MzM0MiwicmxhIjo0MDk2fQ%3D%3D&rl=3342&vabr=2228&oh=960deff6ac6fcd2e6b12
> 548a78136668&oe=55A88B31&__gda__=1437110225_ba032dfa9e6ce13cdaa10902410c66c1
> failed.
> HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource
> https://video-hkg3-1.xx.fbcdn.net/hvideo-xta1/v/t43.1792-2/
> 11277562_10103285959283084_253185761_n.
> mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsI
> nJsciI6MzE0MiwicmxhIjo0MDk2fQ%3D%3D&rl=3142&vabr=2095&oh=2979037c0819aecb7774
> 271948d146f0&oe=55A88B6C failed.
> HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource
> https://video-hkg3-1.xx.fbcdn.net/hvideo-xtf1/v/t43.1792-2/
> 11161485_10153190997576919_3967559_n.
> mp4?efg=eyJxZSI6InZpZGVvX3ByZWZlcnJlZF90YWdzXzIwMTUwMTIxLHRoZV9sYXVuY2hlZCIsI
> nJsciI6MzU5MSwicmxhIjo0MDk2fQ%3D%3D&rl=3591&vabr=2394&oh=8a8ca2c8b4de39941920
> 038b8934e4e6&oe=55A87E33 failed.
> 
> 
> However something strange with one of the GoPro videos works and plays ok...
> (the main video at the top, it seems to be the only video with fallback=1 at
> the end of the URL.)
> https://www.facebook.com/gopro/videos/10153188203681919/?fallback=1
> 
> The web console still displays the same errors for this video even though it
> plays normally in the flash style pop out screen.
> But if I open this URL above in a new tab (so no flash pop-up)  it will not
> play. And embed video gives a Video Unavailable error.

Dont' think I ever tried GoPro. The link initally presented Black frame with play button but unresponsive and no error message.  I right clicked and selected view video and had to ask to activate Quick Time.  It played.
Just some extra info in-case it helps...
My PC has WIN7 OS also (dual booting) and I cannot reproduce the issue on WIN7 after all latest updates made.
(In reply to Lee from comment #51)
> Just some extra info in-case it helps...
> My PC has WIN7 OS also (dual booting) and I cannot reproduce the issue on
> WIN7 after all latest updates made.

Your using Windows Enterprise N which does not include the codecs:

http://www.cnet.com/news/windows-7-n-the-n-editions-explained/

Installing the Media Feature Pack may help https://www.microsoft.com/en-nz/search/result.aspx?q=media%20feature%20pack

I don't have a machine with Windows N installed so please let me know if it fixes the issue.
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #52)
> (In reply to Lee from comment #51)
> > Just some extra info in-case it helps...
> > My PC has WIN7 OS also (dual booting) and I cannot reproduce the issue on
> > WIN7 after all latest updates made.
> 
> Your using Windows Enterprise N which does not include the codecs:
> 
> http://www.cnet.com/news/windows-7-n-the-n-editions-explained/
> 
> Installing the Media Feature Pack may help
> https://www.microsoft.com/en-nz/search/result.aspx?q=media%20feature%20pack
> 
> I don't have a machine with Windows N installed so please let me know if it
> fixes the issue.

You are right, I installed the feature pack and it's working now as it should.

I feel pretty stupid now, I had no idea the N version meant this, due to never using Media Player for years I never even noticed it wasn't there..

So did something change in FF 38 that now requires these codecs?

Thankyou so much for your help!!!
arkeatm, are Facebook videos still broken for you?
(In reply to Chris Peterson [:cpeterson] from comment #54)
> arkeatm, are Facebook videos still broken for you?
 - 
HI - I went to Beta 40 (comment 40) 2015-07-15
Component: Untriaged → General
Product: Firefox → Core
Component: General → Audio/Video: Playback
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.